import React from 'react';
import { useQueryClient } from '../react';
import { hydrate } from './hydration';
export function useHydrate(queries) {
  var client = useQueryClient();
  var cache = client.getCache(); // Running hydrate again with the same queries is safe,
  // it wont overwrite or initialize existing queries,
  // relying on useMemo here is only a performance optimization

  React.useMemo(function () {
    if (queries) {
      hydrate(cache, queries);
    }
  }, [cache, queries]);
}
export var Hydrate = function Hydrate(_ref) {
  var state = _ref.state,
      children = _ref.children;
  useHydrate(state);
  return children;
};