"use strict";

exports.__esModule = true;
var _exportNames = {
  Query: true,
  QueryCache: true,
  QueryClient: true,
  setBatchedUpdates: true,
  setConsole: true,
  setFocusHandler: true,
  setOnlineHandler: true,
  CancelledError: true,
  isCancelledError: true,
  isError: true,
  defaultQueryKeySerializerFn: true
};
exports.defaultQueryKeySerializerFn = exports.isError = exports.isCancelledError = exports.CancelledError = exports.setOnlineHandler = exports.setFocusHandler = exports.setConsole = exports.setBatchedUpdates = exports.QueryClient = exports.QueryCache = exports.Query = void 0;

var _query = require("./query");

exports.Query = _query.Query;

var _queryCache = require("./queryCache");

exports.QueryCache = _queryCache.QueryCache;

var _queryClient = require("./queryClient");

exports.QueryClient = _queryClient.QueryClient;

var _notifyManager = require("./notifyManager");

exports.setBatchedUpdates = _notifyManager.setBatchedUpdates;

var _setConsole = require("./setConsole");

exports.setConsole = _setConsole.setConsole;

var _setFocusHandler = require("./setFocusHandler");

exports.setFocusHandler = _setFocusHandler.setFocusHandler;

var _setOnlineHandler = require("./setOnlineHandler");

exports.setOnlineHandler = _setOnlineHandler.setOnlineHandler;

var _utils = require("./utils");

exports.CancelledError = _utils.CancelledError;
exports.isCancelledError = _utils.isCancelledError;
exports.isError = _utils.isError;
exports.defaultQueryKeySerializerFn = _utils.defaultQueryKeySerializerFn;

var _types = require("./types");

Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  exports[key] = _types[key];
});